org.apache.olingo.commons.api.data

## Class ContextURL

- java.lang.Object
- - org.apache.olingo.commons.api.data.ContextURL

-     public final class ContextURL
      extends Object

  High-level representation of a context URL, built from the string value returned by a service; provides access to the various components of the context URL, defined in the protocol specification.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContextURL.Builder` Builder for a ContextURL instance.
    `static class` | `ContextURL.Suffix` Suffix of the OData Context URL

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDerivedEntity()` Get the derived entity.
    `String` | `getEntitySetOrSingletonOrType()` Get the set entity set / singleton / type.
    `String` | `getKeyPath()` Get the set key path.
    `String` | `getNavOrPropertyPath()` Get the set navigation or property path.
    `String` | `getODataPath()` Get the OData path.
    `String` | `getSelectList()` Get the select list.
    `URI` | `getServiceRoot()` Get the service root.
    `ContextURL.Suffix` | `getSuffix()` Get the set suffix.
    `boolean` | `isCollection()` Is context result a collection.
    `boolean` | `isDelta()` Is context result a delta result.
    `boolean` | `isDeltaDeletedEntity()` Is context result a delta deleted entity.
    `boolean` | `isDeltaDeletedLink()` Is context result a delta deleted link.
    `boolean` | `isDeltaLink()` Is context result a delta link.
    `boolean` | `isEntity()` Is context result a entity.
    `boolean` | `isReference()` Is context result a reference.
    `static ContextURL.Builder` | `with()` Start building a ContextURL instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getODataPath

          public String getODataPath()

      Get the OData path.
      Returns:
        the OData path

    - #### getServiceRoot

          public URI getServiceRoot()

      Get the service root.
      Returns:
        the service root

    - #### getEntitySetOrSingletonOrType

          public String getEntitySetOrSingletonOrType()

      Get the set entity set / singleton / type.
      Returns:
        the entity set / singleton / type

    - #### isCollection

          public boolean isCollection()

      Is context result a collection.
      Returns:
        `true` for a collection, otherwise `false`

    - #### getDerivedEntity

          public String getDerivedEntity()

      Get the derived entity.
      Returns:
        derived entity

    - #### getSelectList

          public String getSelectList()

      Get the select list.
      Returns:
        the select list

    - #### getNavOrPropertyPath

          public String getNavOrPropertyPath()

      Get the set navigation or property path.
      Returns:
        the set navigation or property path

    - #### getKeyPath

          public String getKeyPath()

      Get the set key path.
      Returns:
        the set key path

    - #### getSuffix

          public ContextURL.Suffix getSuffix()

      Get the set suffix.
      Returns:
        the set suffix

    - #### isEntity

          public boolean isEntity()

      Is context result a entity.
      Returns:
        `true` for a reference, otherwise `false`

    - #### isReference

          public boolean isReference()

      Is context result a reference.
      Returns:
        `true` for a reference, otherwise `false`

    - #### isDelta

          public boolean isDelta()

      Is context result a delta result.
      Returns:
        `true` for a delta result, otherwise `false`

    - #### isDeltaDeletedEntity

          public boolean isDeltaDeletedEntity()

      Is context result a delta deleted entity.
      Returns:
        `true` for a delta deleted entity, otherwise `false`

    - #### isDeltaLink

          public boolean isDeltaLink()

      Is context result a delta link.
      Returns:
        `true` for a delta link, otherwise `false`

    - #### isDeltaDeletedLink

          public boolean isDeltaDeletedLink()

      Is context result a delta deleted link.
      Returns:
        `true` for a delta deleted link, otherwise `false`

    - #### with

          public static ContextURL.Builder with()

      Start building a ContextURL instance.
      Returns:
        builder for building a ContextURL instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.